JGME Pay
Collections

Collections API - Generate Checkout

Generate a Payment Checkout URL for customers to make payment

POST
/payments/v1/checkouts

Authorization

clientId clientSecret
client-id<token>

In: header

client-secret<token>

In: header

Request Body

application/json

Generate A Payment Checkout URL

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/payments/v1/checkouts" \  -H "Content-Type: application/json" \  -d '{    "country": "NG",    "currency": "NGN",    "amount": 10000,    "user": {      "phoneNumber": "2347012345678"    }  }'
{  "data": {    "url": "https://checkout.jgmepay.com/jgmepay/66579afe04916ddcfcf73e7b",    "shortURL": "https://l.6bd.co/XXXXX",    "reference": "string",    "amount": 100000,    "currency": "NGN"  }}